> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a treasury account

> Adjust min/target/max balance limits. Used to retune rebalancing thresholds.



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/treasury/accounts/{id}
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/treasury/accounts/{id}:
    patch:
      tags:
        - Treasury
      summary: Update a treasury account
      description: >-
        Adjust min/target/max balance limits. Used to retune rebalancing
        thresholds.
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                min_balance_cents:
                  type: integer
                target_balance_cents:
                  type: integer
                max_balance_cents:
                  type: integer
                active:
                  type: boolean
      responses:
        '200':
          description: Updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/TreasuryAccount'
                required:
                  - data
      security:
        - bearerAuth: []
components:
  schemas:
    TreasuryAccount:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        rail:
          type: string
        currency:
          type: string
        balance_cents:
          type: integer
        min_balance_cents:
          type: integer
        target_balance_cents:
          type: integer
        max_balance_cents:
          type: integer
        destination_bank_account_id:
          type:
            - string
            - 'null'
        active:
          type: boolean
        created_at:
          type: string
          format: date-time
      required:
        - id
        - name
        - rail
        - currency
        - balance_cents
        - min_balance_cents
        - target_balance_cents
        - max_balance_cents
        - active
        - created_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````